package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.core.exception.BusinessException;
import com.bizmatics.model.SysPlatform;
import com.bizmatics.model.SysTenantConfig;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.persistence.mapper.SysPlatformMapper;
import com.bizmatics.service.SysPlatformService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 平台信息表 服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
@Service
public class SysPlatformServiceImpl extends AbstractCrudService<SysPlatformMapper, SysPlatform> implements SysPlatformService {

    @Override
    public List<SysPlatform> getPlatformBoxList() {
        LambdaQueryWrapper<SysPlatform> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(SysPlatform::getStatus, "1");
        List<SysPlatform> list = this.list(queryWrapper);
        return list;
    }
}
